Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class TSQ

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Resource
                  |
                  +--com.ibm.cics.server.RemotableResource
                        |
                        +--com.ibm.cics.server.TSQ

public class TSQ
extends RemotableResource
implements java.io.Serializable

Constructor Summary
`TSQ()`

Method Summary
`void` | `delete()` Not Implemented.
`byte[]` | `getQueueName()` Not Implemented.
`TSQType` | `getType()` Not Implemented.
`int` | `readItem(int item, ItemHolder holder)` Not Implemented.
`int` | `readNextItem(ItemHolder holder)` Not Implemented.
`int` | `rewriteItem(int item, byte[] data)` Not Implemented.
`int` | `rewriteItemConditional(int item, byte[] data)` Not Implemented.
`void` | `setName(java.lang.String newName)`
`void` | `setQueueName(byte[] queueName)` Not Implemented.
`void` | `setType(TSQType type)` Not Implemented.
`int` | `writeItem(byte[] data)` Not Implemented.
`int` | `writeItemConditional(byte[] data)` Not Implemented.

Methods inherited from class com.ibm.cics.server.RemotableResource
`getSysId, setSysId`

Methods inherited from class com.ibm.cics.server.Resource
`getDescription, getName, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSQ

    public TSQ()

Method Detail

### delete

    public void delete()
                throws InvalidRequestException,
                       IOErrorException,
                       ISCInvalidRequestException,
                       NotAuthorisedException,
                       InvalidQueueIdException,
                       InvalidSystemIdException

  This method is not implemented in this release.

### getQueueName

    public byte[] getQueueName()

  This method is not implemented in this release.

### getType

    public TSQType getType()

  This method is not implemented in this release.

### readItem

    public int readItem(int item,
                        ItemHolder holder)
                 throws InvalidRequestException,
                        IOErrorException,
                        ISCInvalidRequestException,
                        ItemErrorException,
                        LengthErrorException,
                        NotAuthorisedException,
                        InvalidQueueIdException,
                        InvalidSystemIdException

  This method is not implemented in this release.

### readNextItem

    public int readNextItem(ItemHolder holder)
                     throws InvalidRequestException,
                            IOErrorException,
                            ISCInvalidRequestException,
                            ItemErrorException,
                            LengthErrorException,
                            NotAuthorisedException,
                            InvalidQueueIdException,
                            InvalidSystemIdException

  This method is not implemented in this release.

### rewriteItem

    public int rewriteItem(int item,
                           byte[] data)
                    throws InvalidRequestException,
                           IOErrorException,
                           ISCInvalidRequestException,
                           ItemErrorException,
                           LengthErrorException,
                           NotAuthorisedException,
                           InvalidQueueIdException,
                           InvalidSystemIdException

  This method is not implemented in this release.

### rewriteItemConditional

    public int rewriteItemConditional(int item,
                                      byte[] data)
                               throws InvalidRequestException,
                                      IOErrorException,
                                      ISCInvalidRequestException,
                                      ItemErrorException,
                                      LengthErrorException,
                                      NotAuthorisedException,
                                      InvalidQueueIdException,
                                      InvalidSystemIdException

  This method is not implemented in this release.

### setName

    public void setName(java.lang.String newName)
                 throws java.lang.NullPointerException

  Overrides:
    setName in class Resource

### setQueueName

    public void setQueueName(byte[] queueName)
                      throws java.lang.NullPointerException

  This method is not implemented in this release.

### setType

    public void setType(TSQType type)

  This method is not implemented in this release.

### writeItem

    public int writeItem(byte[] data)
                  throws InvalidRequestException,
                         IOErrorException,
                         ISCInvalidRequestException,
                         ItemErrorException,
                         LengthErrorException,
                         NoSpaceException,
                         NotAuthorisedException,
                         InvalidQueueIdException,
                         InvalidSystemIdException

  This method is not implemented in this release.

### writeItemConditional

    public int writeItemConditional(byte[] data)
                             throws InvalidRequestException,
                                    IOErrorException,
                                    ISCInvalidRequestException,
                                    ItemErrorException,
                                    LengthErrorException,
                                    NoSpaceException,
                                    NotAuthorisedException,
                                    InvalidQueueIdException,
                                    InvalidSystemIdException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.